Subject: Re: disman issue REMOPS-1

From: [email-masked]
Date: Thu, 24 Jun 1999 05:17:06 -0400

Dave,

>Issue REMOPS-1:

> > ICMP Echo Request packets MUST NOT be used.  Many PC implementations do
> > it incorrectly, which, in turn, causes intermediate hops to be invisible
>   ^^
> What is "it"?  It would be nice to elaborate on this in the text.

It is using ICMP Echo Request packets (probes) to determine a traceroute path.

The prior paragraph ends with:

  "Some systems use icmp probes instead of udp ones to implement
  traceroute.  In both cases traceroute relies on the probes being
  rejected via an ICMP message to discover the hops taken along a
  path to the final destination."

Both the ICMP and UDP probes get encapsulated in an IP packet where the TTL
field
can be set and used to force hop rejection.

I have clarified the text. I don't consider this to be an issue.

Ken

---

From: Dave Thaler <[email-masked]>
Date: Thu, 24 Jun 1999 13:08:34 -0400 (EDT)

> It is using ICMP Echo Request packets (probes) to determine a traceroute path.

Ok, so if you're saying that Many PC implementations use ICMP probes
incorrectly to determine a path, then I would say that "PC"s don't
use probes to determine the path, the traceroute program does,
so you should say 
"Many PC implementations of traceroute ..."
since it's not an OS issue if it's problems with the way they "use" the 
probes, and I don't see how that would affect a new implementation for a MIB.

On the other hand, if you mean the OS stack has bugs, then I think
your definition of "it" above needs to be clarified.

-Dave